Subject: [rohc] draft-ietf-rohc-mib-rtp-02.txt

From: "Juergen Quittek" <[email-masked]>
Date: Mon, 15 Jul 2002 14:08:37 +0200

Dear all,

For preparing the discussion at the rohc session,
please find below the changes and remaining issues
of the latest version of the ROHC MIB
draft-ietf-rohc-mib-rtp-02.txt.

    Juergen

Extensibility:
==============

I split the MIB into two modules: ROHC-MIB and
ROHC-RTP-MIB. The idea is to have the basic ROHC-MIB
module providing informations on ROHC implementations
in general. This module should also be suited for
TCP ROHC, SCTP ROHC, and whatever protocol we are
going to compress in the future.

It contains information about running ROHC 
implementations, about the IP interfaces and channels 
used by them and about header types and profiles 
supported by this instance.

The other module is specific to UDP/RTP ROHC. It
provides information (incl. statistics) about RTP
compressor and decompressor contexts.

Statistics:
===========

I moved all statistics from the independent statistics
group to the compressor or decompressor, repectively.
Furthermore, I removed the counters per generic 
error types by more specific ones for RTP (de)compressors.
In turn - based on input from Mark - I added some 
counters and indicators.

Now, the statistics include:

- Statistics per channel: 6 counters
  - total number of de/compressed flows
  - number of de/compressed current flows
  - number of de/compressed packets

- Statistics per compressor: 
  - total compression ratio
  - total mean size
  - current (last 16 packets) compression ration
  - current (last 16 packets) means size
  - number of packets, IRs, IR-DYNs
  - number of ACKs, NACKs, SNACKs

- Statistics per decompressor: 
  - number of decompressor failures
  - number of context repairs
  - number of packets, IRs, IR-DYNs
  - number of ACKs, NACKs, SNACKs

Open Issues:
============

- Which is the right cutting line between the 
  general and the specific MIB module?

- Are the statistics OK?
  - Mean compressed packet size
    or mean compressed header size, or both?

- Compliance with architecture I-D
  - different concept of “instance”

- MIB Conformance statements
  - Are statistics mandatory or optional?

-- 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc